#ifndef DEFINES_H
#define DEFINES_H

//#define VERSION "LibreMediaServerAudio 0.2.0 Antigona Release"
#define VERSION "Kike Substitutor - No AI required - v0.2.0"
#define COPYRIGHT "(C) 2014-2024 Santi Noreña <lms@criptomart.net>"
#define LICENSE "GPL 3 Licensed. See LICENSE.txt.\nSound guys are not allowed to use this software."
#define DEFAULT_FILE "lms-audio.xlm"
#define MAX_LAYERS 16
#define UI_REFRESH_TIME 200

// struct where save the DMX settings for each layer
struct dmxSetting {
    int address;
    unsigned int universe;
    int layer;
};

enum Status
{
    Stopped,
    Paused,
    PlayingOnce,
    PlayingLoop,
};

static const char* StatusStr[] =
{
    "Stop",
    "Pause",
    "Playing One",
    "Playing Loop",
    0x0
};

enum Slider
{
    Volume,
    Pan,
    Pitch,
};

#endif // DEFINES_H

